Description

22- Security headers are not Implemented

CWE : CWE-16

Description :

Modern browsers support many HTTP headers that can improve web application
security to protect against clickjacking, cross-site scripting, and other common attacks.
Affected Path(s) :

/(WebServer)

Impact :

Client side attacks like clickjacking, XSS, history hijacking, etc may be possible if
security headers are missing in the response headers.

Recommendation :

It is recommended to implement following security headers with the values required for
the application. Sample configuration:

X-Content-Type-Options: nosniff

X-XSS-Protection: 1; mode=block

X-Frame-Options: deny

Content-Security-Policy: default-src 'self'

Strict-Transport-Security: max-age=63072000; includeSubDomains;

preload

Evidence/Proof Of Concept :

Step 1: It was observed that Security Headers are not implemented in the Application as
shown below screenshot.
History

#1 - 18/04/2024 11:38 PM - Pavan kumar Siddamsetti

- Assignee set to Pavan kumar Siddamsetti

#2 - 21/04/2024 08:44 PM - Pavan kumar Siddamsetti

- Status changed from New to In Progress

#3 - 24/04/2024 01:01 AM - Vasudev Mamidi

- Status changed from In Progress to Resolved

#4 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#5 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#6 - 30/09/2024 05:15 PM - Gautam Kumar

- Status changed from Resolved to Closed
